#pragma once
#include "Vector.h"


class ProcessMem
{
public:
	ProcessMem(void);
	~ProcessMem(void);

	void *sys_malloc(size_t size);
	void sys_free(void *p);
private:

	struct MEMINFO{
		DWORD addr, size;
	};
	Vector<MEMINFO> minfo;
	int count;

};
